%define api_version 1.0
%define pkg_name geronimo-jaspic_%{api_version}_spec
Name:                geronimo-jaspic-spec
Version:             1.1
Release:             1
Summary:             Java Authentication SPI for Containers
License:             ASL 2.0 and W3C
URL:                 http://geronimo.apache.org/
Source0:             https://repo1.maven.org/maven2/org/apache/geronimo/specs/%{pkg_name}/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
BuildArch:           noarch
BuildRequires:       java-devel maven-local maven-plugin-bundle geronimo-osgi-support
BuildRequires:       geronimo-parent-poms jpackage-utils
Provides:            javax.security.auth.message
%description
Java Authentication Service Provider Interface for Containers (JSR-196) api.

%package help
Summary:             API documentation for %{name}
Provides:	     %{name}-javadoc = %{version}-%{release}
Obsoletes:	     %{name}-javadoc < %{version}-%{release}

%description help
%{summary}.

%prep
%setup -q -n %{pkg_name}-%{version}
for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done
%pom_xpath_remove "pom:parent"
%pom_xpath_inject "pom:project" "
    <parent>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>specs</artifactId>
      <version>any</version>
    </parent>"

%build
%mvn_file  : %{name}
%mvn_alias : org.eclipse.jetty.orbit:javax.security.auth.message
%mvn_build

%install
%mvn_install
install -d -m 755 %{buildroot}%{_javadir}/javax.security.auth.message/
ln -sf ../%{name}.jar %{buildroot}%{_javadir}/javax.security.auth.message/

%files -f .mfiles
%doc LICENSE NOTICE
%{_javadir}/javax.security.auth.message/

%files help -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Sat Jul 25 2020 huanghaitao <huanghaitao8@huawei.com> - 1.1-1
- package init
